{% extends 'base.html' %}

{% load static humanize %}

{% block breadcrumb %}
    <li class="breadcrumb-item active">Boards</li>
{% endblock %}

{% block content %}
    <table class="table">
        <thead class="thead-inverse">
        <tr>
            <th>Board</th>
            <th>Posts</th>
            <th>Topics</th>
            <th>Last Post</th>
        </tr>
        </thead>
        <tbody>
        {% for board in boards %}
            <tr>
                <td>
                    <a href="{% url 'board_topics' board.pk %}">{{ board.name }}</a>
                    <small class="text-muted d-block">{{ board.description }}</small>
                </td>
                <td class="align-middle">
                    {{ board.get_posts_count }}
                </td>
                <td class="align-middle">
                    {{ board.topics.count }}
                </td>
                <td class="align-middle">
                    {% with post=board.get_last_post %}
                        <small>
                            {% if post %}
                                <a href="{% url 'topic_posts' board.pk post.topic.pk %}">
                                    By {{ post.created_by.username }}, {{ post.created_at|naturaltime }}
                                </a>
                            {% else %}
                                <em>No posts yet.</em>
                            {% endif %}
                        </small>
                    {% endwith %}
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

{% endblock %}